Cannot update Manjaro due to error: python-nautilus and python2-nautilus are in conflict

Hello everyone, it’s been a while not posting about Manjaro on this website. I just tried to boot my Manjaro desktop and willing to update it. But unfortunately, the update process stopped prematurely. I got the following error when executing the update/upgrade command. It says python-nautilus and python2-nautilus are in conflict and the upgrade process totally stopped. 

[dhani@dhani-manjaro ~]$ sudo pacman -Syu
[sudo] password for dhani: 
:: Synchronizing package databases...
 core is up to date
 extra is up to date
 community                  4,3 MiB   191K/s 00:23 [######################] 100%
 multilib is up to date
:: Starting full system upgrade...
warning: chrome-gnome-shell: local (20170421-1) is newer than extra (9-1)
resolving dependencies...
looking for conflicting packages...
error: unresolvable package conflicts detected
error: failed to prepare transaction (conflicting dependencies)
:: python-nautilus and python2-nautilus are in conflict

I tried many times but seems still not working though. 

After Googling here and there, finally, I found the solution for this issue. If you have this kind of error, you can try the following solutions:

First, let’s remove the Nautilus admin package

sudo pacman -Rs nautilus-admin

Output:

[dhani@dhani-manjaro ~]$ sudo pacman -Rs nautilus-admin
[sudo] password for dhani: 
checking dependencies...

Packages (3) python2-gobject-3.26.1-1  python2-nautilus-1.1-4
             nautilus-admin-1.1.1-1

Total Removed Size:  1,27 MiB

:: Do you want to remove these packages? [Y/n] 

Now let’s try to update and upgrade

sudo pacman -Syu

Now my Manjaro is updating. If you have the same problem, you can follow my tutorial above to solve the conflict problem for python2-nautilus package. 

1 Comment

Leave a Reply

Your email address will not be published.


*


This site uses Akismet to reduce spam. Learn how your comment data is processed.